Name:          xml-maven-plugin
Version:       1.0.2
Release:       %mkrel 3
Group:         Development/Java
Summary:       Maven XML Plugin
License:       ASL 2.0
URL:           https://www.mojohaus.org/xml-maven-plugin/
Source0:       https://repo1.maven.org/maven2/org/codehaus/mojo/xml-maven-plugin/%{version}/xml-maven-plugin-%{version}-source-release.zip

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.plugins:maven-invoker-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-io)
BuildRequires:  mvn(org.codehaus.plexus:plexus-resources)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(xml-resolver:xml-resolver)

BuildArch:     noarch

%description
A plugin for various XML related tasks like validation and transformation.

%package javadoc
Summary:       Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done

# Add the version
sed -i 's|stylesheet |stylesheet version="1.0" |'  src/it/it8/src/main/xsl/it8.xsl

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.0.2-3.mga9
+ Revision: 1827385
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.2-2.mga8
+ Revision: 1520832
- Mageia 8 Mass Rebuild

* Mon Dec 10 2018 daviddavid <daviddavid> 1.0.2-1.mga7
+ Revision: 1339902
- new version: 1.0.2 (sync with fc29)

* Fri Sep 21 2018 umeabot <umeabot> 1.0.1-3.mga7
+ Revision: 1292167
- Mageia 7 Mass Rebuild

* Sat Sep 02 2017 daviddavid <daviddavid> 1.0.1-2.mga7
+ Revision: 1150855
- Remove unnecessary deps on xml-commons-apis and xerces (sync with fc27)
- add BR mvn(org.apache:apache:pom:)

* Fri May 19 2017 neoclust <neoclust> 1.0.1-1.mga6
+ Revision: 1103409
- New version 1.0.1
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.0-14.mga6
+ Revision: 978234
- First rebuild of the java stack
- sync package xml-maven-plugin with fedora
- imported package xml-maven-plugin

* Wed Oct 15 2014 umeabot <umeabot> 1.0-8.mga5
+ Revision: 747059
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Dec 13 2013 dmorgan <dmorgan> 1.0-6.mga4
+ Revision: 556544
- Build with xmvn
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 dmorgan <dmorgan> 1.0-4.mga3
+ Revision: 349201
- Fix build

* Tue Oct 18 2011 gil <gil> 1.0-1.mga2
+ Revision: 156396
- imported package xml-maven-plugin

